Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlButtonRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlButtonRendererBase

    public class HtmlButtonRendererBase

extends HtmlRenderer

Version:
  $Revision: 633078 $ $Date: 2008-03-03 08:46:28 -0500 (Mon, 03 Mar 2008) $
Author:
  Manfred Geiler (latest modification by $Author: lu4242 $), Thomas Spiegl, Anton Koinov

Field Summary
`static String` | `ACTION_FOR_LIST`

Constructor Summary
`HtmlButtonRendererBase()`

Method Summary
`protected void` | `addHiddenCommandParameter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent nestingForm, String hiddenFieldName)`
`protected StringBuffer` | `buildOnClick(javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer)`
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected FormInfo` | `findNestingForm(javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext)` find nesting form need to be overrideable to deal with dummyForm stuff in tomahawk.
`protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, encodeChildren, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_FOR_LIST

    public static final String ACTION_FOR_LIST

See Also:
  Constant Field Values

Constructor Detail

### HtmlButtonRendererBase

    public HtmlButtonRendererBase()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

  Overrides:
    `decode` in class `javax.faces.render.Renderer`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

### buildOnClick

    protected StringBuffer buildOnClick(javax.faces.component.UIComponent uiComponent,
                                        javax.faces.context.FacesContext facesContext,
                                        javax.faces.context.ResponseWriter writer)
                                 throws IOException

  Throws:
    `IOException`

### addHiddenCommandParameter

    protected void addHiddenCommandParameter(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent nestingForm,
                                             String hiddenFieldName)

### findNestingForm

    protected FormInfo findNestingForm(javax.faces.component.UIComponent uiComponent,
                                       javax.faces.context.FacesContext facesContext)

  find nesting form
  need to be overrideable to deal with dummyForm stuff in tomahawk.

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.